searchNodes=[{"doc":"Implements Phoenix.HTML.Form.select/4 specifically for localized display of Cldr -based data.","ref":"Cldr.HTML.html","title":"Cldr.HTML","type":"module"},{"doc":"See Cldr.HTML.Currency.select/3 .","ref":"Cldr.HTML.html#currency_select/3","title":"Cldr.HTML.currency_select/3","type":"function"},{"doc":"See Cldr.HTML.Territory.select/3 .","ref":"Cldr.HTML.html#territory_select/3","title":"Cldr.HTML.territory_select/3","type":"function"},{"doc":"See Cldr.HTML.Unit.select/3 .","ref":"Cldr.HTML.html#unit_select/3","title":"Cldr.HTML.unit_select/3","type":"function"},{"doc":"Implements Phoenix.HTML.Form.select/4 specifically for localised currency display.","ref":"Cldr.HTML.Currency.html","title":"Cldr.HTML.Currency","type":"module"},{"doc":"Generate an HTML select tag for a currency list that can be used with a Phoenix.HTML.Form.t . Arguments A Phoenix.HTML.Form.t() form A Phoenix.HTML.Form.field() field A Keyword.t() list of options Options For select options see Phoenix.HTML.Form.select/4 :currencies defines the list of currencies to be displayed in the the select tag. The list defaults to the currencies returned by Money.known_tender_currencies/0 if the package ex_money is installed otherwise it is the list returned by Cldr.known_currencies/0 :locale defines the locale to be used to localise the description of the currencies. The default is the locale returned by Cldr.get_locale/1 :backend is any backend module. The default is Cldr.default_backend!/0 :mapper is a function that creates the text to be displayed in the select tag for each currency. It is passed the currency definition Cldr.Currency.t as returned by Cldr.Currency.currency_for_code/2 . The default function is &amp;({&amp;1.code &lt;&gt; &quot; - &quot; &lt;&gt; &amp;1.name, &amp;1.code}) :selected identifies the currency that is to be selected by default in the select tag. The default is nil . This is passed unmodified to Phoenix.HTML.Form.select/4 :prompt is a prompt displayed at the top of the select box. This is passed unmodified to Phoenix.HTML.Form.select/4 Examples =&gt; Cldr.HTML.Currency . select ( :my_form , :currency , selected : :USD ) =&gt; Cldr.HTML.Currency . select ( :my_form , :currency , currencies : [ &quot;USD&quot; , &quot;EUR&quot; , :JPY ] , mapper : &amp; ( { &amp;1 . name , &amp;1 . code } ) )","ref":"Cldr.HTML.Currency.html#select/3","title":"Cldr.HTML.Currency.select/3","type":"function"},{"doc":"","ref":"Cldr.HTML.Currency.html#t:select_options/0","title":"Cldr.HTML.Currency.select_options/0","type":"type"},{"doc":"Implements Phoenix.HTML.Form.select/4 specifically for localised territory display.","ref":"Cldr.HTML.Territory.html","title":"Cldr.HTML.Territory","type":"module"},{"doc":"Generate an HTML select tag for a territory list that can be used with a Phoenix.HTML.Form.t . Arguments A Phoenix.HTML.Form.t() form A Phoenix.HTML.Form.field() field A Keyword.t() list of options Options For select options see Phoenix.HTML.Form.select/4 :territories defines the list of territories to be displayed in the the select tag. The list defaults to the territories returned by Cldr.known_territories/0 . :style is the format of the territory name to be used. The options are :standard (the default), :short and :variant . Not all territories have :short or :variant names in which case :standard is used for those territories. :locale defines the locale to be used to localise the description of the territories. The default is the locale returned by Cldr.get_locale/1 :backend is any backend module. The default is Cldr.default_backend!/0 :mapper is a function that creates the text to be displayed in the select tag for each territory. It is passed the territory definition as a map containing the keys :territory_code , :name and :flag . The default function is &amp;({&amp;1.flag &lt;&gt; &quot; &quot; &lt;&gt; &amp;1.name, &amp;1.territory_code}) :selected identifies the territory that is to be selected by default in the select tag. The default is nil . This is passed unmodified to Phoenix.HTML.Form.select/4 :prompt is a prompt displayed at the top of the select box. This is passed unmodified to Phoenix.HTML.Form.select/4 Examples =&gt; Cldr.HTML.Territory . select ( :my_form , :territory , selected : :AU ) =&gt; Cldr.HTML.Territory . select ( :my_form , :territory , selected : :AU , locale : &quot;ar&quot; ) =&gt; Cldr.HTML.Territory . select ( :my_form , :territory , territories : [ :US , :AU , :JP ] , mapper : &amp; ( { &amp;1 . name , &amp;1 . territory_code } ) )","ref":"Cldr.HTML.Territory.html#select/3","title":"Cldr.HTML.Territory.select/3","type":"function"},{"doc":"","ref":"Cldr.HTML.Territory.html#t:select_options/0","title":"Cldr.HTML.Territory.select_options/0","type":"type"},{"doc":"Implements Phoenix.HTML.Form.select/4 specifically for localised unit display.","ref":"Cldr.HTML.Unit.html","title":"Cldr.HTML.Unit","type":"module"},{"doc":"Generate an HTML select tag for a unit list that can be used with a Phoenix.HTML.Form.t . Arguments A t:Phoenix.HTML.Form form A t:Phoenix.HTML.Form.field field A t:Keyword list of options Options For select options see Phoenix.HTML.Form.select/4 :units is a list of units to be displayed in the select. See Cldr.Unit.known_units/0 and Cldr.Unit.known_units_for_category/1 :style is the style of unit name to be displayed and must be one of the styles returned by Cldr.Unit.known_styles/0 . The current styles are :long, :short and :narrow. The default is style: :long. :locale defines the locale to be used to localise the description of the units. The default is the locale returned by Cldr.get_locale/0 :backend is any backend module. The default is Cldr.default_backend!/0 :mapper is a function that creates the text to be displayed in the select tag for each unit. It is passed the unit name. The default function is &amp;({Cldr.Unit.display_name(&amp;1), &amp;1}) :selected identifies the unit that is to be selected by default in the select tag. The default is nil . This is passed unmodified to Phoenix.HTML.Form.select/4 :prompt is a prompt displayed at the top of the select box. This is passed unmodified to Phoenix.HTML.Form.select/4 Examples =&gt; Cldr.HTML.Unit . select ( :my_form , :unit , selected : :foot ) =&gt; Cldr.HTML.Unit . select ( :my_form , :unit , units : [ :foot , :inch ] , mapper : &amp; { Cldr.Unit . display_name ( &amp;1 , &amp;2 ) , &amp;1 } )","ref":"Cldr.HTML.Unit.html#select/3","title":"Cldr.HTML.Unit.select/3","type":"function"},{"doc":"","ref":"Cldr.HTML.Unit.html#t:select_options/0","title":"Cldr.HTML.Unit.select_options/0","type":"type"},{"doc":"Cldr HTML HTML helper functions for CLDR. Usage [Implemented] Select currencies - by default the currencies of the locales configured in the default backend [Implemented] Select units - by default the units returned by Cldr.Unit.known_units/0 [Implemented] Select territories - by default the territories returned by Cldr.known_territories/0 [Not Implemented] Select languages [Not Implemented] Select days of the week and months of the year in a given locale","ref":"readme.html","title":"Cldr HTML","type":"extras"},{"doc":"iex&gt; import Phoenix.HTML iex&gt; safe_to_string Cldr.HTML.Currency . select ( :my_form , :currency , selected : :USD , currencies : ~w(usd eur jpy cop) ) &quot;&lt;select id= \\&quot; my_form_currency \\&quot; name= \\&quot; my_form[currency] \\&quot; selected= \\&quot; USD \\&quot; &gt;&lt;option value= \\&quot; COP \\&quot; &gt;COP - Colombian Peso&lt;/option&gt;&lt;option value= \\&quot; EUR \\&quot; &gt;EUR - Euro&lt;/option&gt;&lt;option value= \\&quot; JPY \\&quot; &gt;JPY - Japanese Yen&lt;/option&gt;&lt;option value= \\&quot; USD \\&quot; &gt;USD - US Dollar&lt;/option&gt;&lt;/select&gt;&quot;","ref":"readme.html#examples","title":"Cldr HTML - Examples","type":"extras"},{"doc":"Cldr.HTML can be installed by adding ex_cldr_html to your list of dependencies in mix.exs : def deps do [ { :ex_cldr_html , &quot;~&gt; 0.3&quot; } ] end The documentation can be found at https://hexdocs.pm/cldr_html .","ref":"readme.html#installation","title":"Cldr HTML - Installation","type":"extras"},{"doc":"Changelog Cldr_HTML v0.3.0 This is the changelog for Cldr HTML v0.3.0 released on May 23rd, 2021. For older changelogs please consult the release tag on GitHub Enhancements Add Cldr.HTML.Territory.select/3 to select territories Add support for :style option in Cldr.HTML.Unit.select/3 Cldr_HTML v0.2.0 This is the changelog for Cldr HTML v0.2.0 released on February 7th, 2021. For older changelogs please consult the release tag on GitHub Enhancements Add Cldr.HTML.Unit.unit_select/3 Use Cldr.get_locale/0 not Cldr.default_locale/0 as default parameter Cldr_HTML v0.1.0 This is the changelog for Cldr HTML v0.1.0 released on November 1st, 2020. For older changelogs please consult the release tag on GitHub Enhancements First hex release Support CLDR 38","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"","ref":"license.html","title":"LICENSE","type":"extras"},{"doc":"Copyright 2017 Kip Cole Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http :/ / www . apache . org / licenses / LICENSE - 2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html#license","title":"LICENSE - License","type":"extras"}]